Subject: Re: linux-next: manual merge of the drm-msm-fixes tree with the origin tree

From: Kees Cook <[email-masked]>
Date: Wed, 25 Feb 2026 09:56:09 -0800

On Wed, Feb 25, 2026 at 07:42:12PM +0200, Dmitry Baryshkov wrote:
> On Wed, 25 Feb 2026 at 15:22, Mark Brown <[email-masked]> wrote:
> >
> > Hi all,
> >
> > Today's linux-next merge of the drm-msm-fixes tree got a conflict in:
> >
> >   drivers/gpu/drm/msm/msm_iommu.c
> >
> > between commits:
> >
> >   48634a9ea06a4 ("drm/msm: Adjust msm_iommu_pagetable_prealloc_allocate() allocation type")
> 
> Kees, why was it landed? And how? It was not Ack'ed (nor was it
> requested) to go through the non-drm-msm tree. There was no note that
> it got applied. What is going on?

It was a prerequisite for the tree-wide changes, so I had to send it to
Linus ahead of the -rc1 release. Sorry for the collision there! I waited
as long as I could, but the msm-fixes tree wasn't sent for -rc1, so I
had to include the patch in the prep patches:
https://lore.kernel.org/lkml/202602191029.2F0E7F01@keescook/

-- 
Kees Cook